package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 重点人群信息对象 key_people_info
 * 
 * @author boman
 * @date 2022-09-27
 */
public class KeyPeopleInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String idCard;

    /** 联系号码 */
    @Excel(name = "联系号码")
    private String phoneNum;

    /** 职业类别 */
    private String jobStyle;

    /** 重点人群分类 */
    private String focusCrowdStyle;

    /** 部门id */
    private String deptId;

    private List<String> deptIdList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public void setDeptIdList(List<String> deptIdList) {
        this.deptIdList = deptIdList;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setPhoneNum(String phoneNum) 
    {
        this.phoneNum = phoneNum;
    }

    public String getPhoneNum() 
    {
        return phoneNum;
    }
    public void setDeptId(String deptId) 
    {
        this.deptId = deptId;
    }

    public String getDeptId() 
    {
        return deptId;
    }

    public List<String> getDeptIdList() {
        return deptIdList;
    }

    public String getJobStyle() {
        return jobStyle;
    }

    public String getFocusCrowdStyle() {
        return focusCrowdStyle;
    }

    public void setJobStyle(String jobStyle) {
        this.jobStyle = jobStyle;
    }

    public void setFocusCrowdStyle(String focusCrowdStyle) {
        this.focusCrowdStyle = focusCrowdStyle;
    }

    @Override
    public String toString() {
        return "KeyPeopleInfo{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", idCard='" + idCard + '\'' +
                ", phoneNum='" + phoneNum + '\'' +
                ", jobStyle='" + jobStyle + '\'' +
                ", focusCrowdStyle='" + focusCrowdStyle + '\'' +
                ", deptId='" + deptId + '\'' +
                ", deptIdList=" + deptIdList +
                '}';
    }
}
